TAAS - Feature #70

Cheque Leaf Cancel
10/15/2022 11:28 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 10/15/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 34:18 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 10.00 Code Reviewed By:

Module: Cheque Leaf Cancel

Description

Coding Cheque Leaf Cancel

History

#1 - 10/15/2022 11:30 AM - Anil KV

- Module changed from Cheque Book to Cheque Leaf Cancel

#2 - 11/01/2022 01:11 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 11/03/2022 09:56 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#4 - 11/04/2022 01:11 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 11/08/2022 04:25 PM - Amal Siby

- Status changed from Coding Started to Particialy Coding Done

Coding Stopped For Completing the new work Package & Package Category.

#6 - 11/09/2022 09:57 AM - Amal Siby

- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 10.00

#7 - 11/09/2022 09:58 AM - Amal Siby
- Status changed from Coding Done to Particialy Coding Done
- % Done changed from 60 to 40

#8 - 11/14/2022 02:35 PM - Amal Siby
- Status changed from Particialy Coding Done to Coding Started

#9 - 11/15/2022 05:43 PM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

coding Done

#10 - 11/29/2022 10:29 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET PROPER COLORS FOR CANCEL & RESTORE BUTTONS

#11 - 11/29/2022 11:10 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#12 - 11/30/2022 12:15 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.REMOVE RED & REQUIRED WARNING FROM BANK INPUT BOX

#13 - 11/30/2022 03:13 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed Reopen coding Done.

#14 - 02/07/2023 11:11 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.RESIZE TRUE/FALSE COLUMN IN GRID

#15 - 02/08/2023 07:07 PM - Amal Siby
Bug fixed.

#16 - 02/10/2023 05:58 PM - Amal Siby
- Status changed from Reopen Bugs to Coding Done
- % Done changed from 50 to 60

#17 - 05/22/2023 06:37 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Change grid head
('Cancelled cheque' list change 'Cheque list')

#18 - 05/23/2023 07:05 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 10/14/2023 06:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD NO DATA POP-UP
2.CHEQUE NO FILTER SEARCH NOT WORKING

#20 - 10/16/2023 04:15 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed.

#21 - 05/03/2024 10:44 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#22 - 08/13/2024 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1)Payment can be done using cancelled cheque leaf
2)Shouldn't be able to cancel already used cheque
3)Reset button is not working properly

#23 - 08/22/2024 04:46 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1)Payment can be done using cancelled cheque leaf blocking must be done from payment module
2)Shouldn't be able to cancel already used cheque

3)Reset button is not working properly

#24 - 11/20/2024 05:54 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#25 - 02/17/2025 04:02 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

1)Can cancel a used cheque when select with a active cheque

2)Can restore and change the status of used cheque into active on selecting with a cancelled cheque

#26 - 02/17/2025 05:45 PM - Theja Ponon

- Assignee changed from Vivekp V to Greeshma S

#27 - 02/17/2025 06:30 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#28 - 02/19/2025 02:19 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#29 - 02/27/2025 11:50 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue found

1)Cheque used in refund is not showing as used status ---- issue from Refund Module

#30 - 02/28/2025 03:44 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 03/03/2025 11:18 AM - Arathy PS
ISSUE FOUND

1.Block restore if status is not not cancelled.

#32 - 03/03/2025 11:19 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#33 - 03/03/2025 12:40 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#34 - 03/06/2025 11:16 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Redirecting to code when two bank have same cheque book no and search with cheque book no ---- unable to reproduce

#35 - 03/07/2025 09:28 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 03/11/2025 12:19 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

1-CsModel.cs 1.13 KB 11/01/2022 Junaid M
2-tsModel.ts 911 Bytes 11/01/2022 Junaid M
3-CsFile.cs 2.7 KB 11/01/2022 Junaid M
4-CsControllerFile.cs 21.4 KB 11/01/2022 Junaid M
5-TsFile.ts 7.21 KB 11/01/2022 Junaid M
sql.sql 4.56 KB 11/01/2022 Junaid M
